## Package Win32::GUI::NotifyIcon

Back to the Packages

- Constructor

  - new Win32::GUI::NotifyIcon(PARENT, %OPTIONS)

- Events

  - Click()

  - MouseEvent(MSG)

  - RightClick()

### Constructor

new Win32::GUI::NotifyIcon(PARENT, %OPTIONS)

  Creates a new NotifyIcon (also known as system tray icon) object; can also be called as PARENT->AddNotifyIcon(%OPTIONS). `%OPTIONS` are:

          -icon => Win32::GUI::Icon object
          -id => NUMBER
              a unique identifier for the NotifyIcon object
          -name => STRING
              the name for the object
          -tip => STRING
              the text that will appear as tooltip when the mouse is
              on the NotifyIcon

### Events

Click()

  Sent when the user clicks the left mouse button on a NotifyIcon.

MouseEvent(MSG)

  Sent when the user performs a mouse event on a NotifyIcon; MSG is the message code.

RightClick()

  Sent when the user clicks the right mouse button on a NotifyIcon.